Comment 1 for bug 227947

Daniel James (daniel-james) wrote :

Asio and system were released in Boost 1.35 - Ubuntu only includes boost 1.34.1 so they're not present.

libasio-dev is the version of asio released independently of boost. It is header only so no libraries are required.

Hope that helps.